jQuery(function($){
	$('.js-load-more').click(function(){

		var button = $(this);
		var data = {
			'action': 'loadmore',
			'query': mio_loadmore_params.posts,
			'page' : mio_loadmore_params.current_page
		};
 
		$.ajax({
			url : mio_loadmore_params.ajaxurl,
			data : data,
			type : 'POST',
			beforeSend : function ( xhr ) {
				button.addClass('btn--loading').text('loading..');
			},
			success : function( data ){
				if( data ) {
					button.parent().prev().append(data);
					button.removeClass('btn--loading').text('load more news');
					mio_loadmore_params.current_page++;
					if ( mio_loadmore_params.current_page == mio_loadmore_params.max_page )  {
						button.remove();
					}
				} else {
					button.remove();
				}
			}
		});
	});
});